/**
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.aurora.common.args;

import org.junit.Test;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.fail;

public class ArgTest {

  @Test
  public void testSetAfterGet() {
    Arg<Boolean> arg = new Arg<Boolean>(false);
    arg.get();
    try {
      arg.set(true);
      fail("Expected set after get to throw");
    } catch (IllegalStateException e) {
      assertFalse(arg.get());
    }
  }
}
